package com.yd.dal.service.marketing.Impl;

import com.yd.dal.entity.marketing.MktLeadsExpertRequest;
import com.yd.dal.mapper.marketing.MktLeadsExpertRequestMapper;
import com.yd.dal.service.marketing.MktLeadsExpertRequestDALService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service("mktLeadsExpertRequestDALService")
public class MktLeadsExpertRequestDALServiceImpl implements MktLeadsExpertRequestDALService {

    @Resource
    private MktLeadsExpertRequestMapper mktLeadsExpertRequestMapper;

    @Override
    public int save(MktLeadsExpertRequest mktLeadsExpertRequest) {
        return mktLeadsExpertRequestMapper.insert(mktLeadsExpertRequest);
    }

    @Override
    public MktLeadsExpertRequest findByLeadsAssignedId(Long assignedId) {
        return mktLeadsExpertRequestMapper.selectByAassignedId(assignedId);
    }

    @Override
    public MktLeadsExpertRequest findByCustomerId(Long customerId) {
        return mktLeadsExpertRequestMapper.selectByCustomerId(customerId);
    }
}
